OpenVDB 12.1.0

Loading...
Searching...
No Matches
conditional< false, TrueT, FalseT > Struct Template Reference

Template specialization of conditional. More...

`#include <nanovdb/util/Util.h>`

## Public Types
using | type = FalseT

## Detailed Description

template<class TrueT, class FalseT>
struct nanovdb::util::conditional< false, TrueT, FalseT >

Template specialization of conditional.

Template Parameters

  FalseT | Type used when boolean is false
  TrueT | Type used when boolean is true

## Member Typedef Documentation

## ◆ type

template<class TrueT, class FalseT>

using type = FalseT